%define version 1.0
%define release %mkrel 2

Name:       qelly
Version:    %{version}
Release:    %{release}
Summary:    Qelly is a Qt port of Nally

%global     real_name     Qelly
%global     real_version  1.0b

Group:      Networking/Other
License:    GPLv3
URL:        https://github.com/uranusjr/Qelly
Source0:    https://github.com/uranusjr/Qelly/archive/v%{real_version}.tar.gz

BuildRequires: qt4-devel
BuildRequires:  qxt-devel
Requires:   qt4-common
Requires:   %{_lib}qxtcore0

%description
Qelly (pronounced as the English name "Kelly") is a Qt port of Nally, the
open-source Telnet/SSH client for Mac OS X. Qt is chosen to be the underlying
framework of this application bacause it enables us to build a GUI-based
application with a native-looking interface for every operating system with
minimal effort. The project is currently only a Qt version of Nally (hence the
name), but more features from other Telnet/SSH clients are also planned.

%prep
%setup -q -n %{real_name}-%{real_version}

%build
qmake
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}/usr/bin
install -m 755 "bin/Qelly" "%{buildroot}/usr/bin"

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=Qt;Network;News;Chat;InstantMessaging;RemoteAccess;
Name=Qelly
Exec=%{_bindir}/Qelly
Icon=Qelly
Type=Application
Comment=Qelly ssh/telnet Client
EOF

desktop-file-install --dir %{buildroot}%{_datadir}/applications  %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/Qelly
%{_datadir}/applications/%{name}.desktop
%doc AUTHORS CHANGES LICENSE README.md



%changelog
* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.0-2.mga6
+ Revision: 918605
- rebuild for libqxt

* Mon Jun 22 2015 yochenhsieh <yochenhsieh> 1.0-1.mga6
+ Revision: 839362
- imported package qelly

